Page MenuHomePhabricator

Paragraph alignment not working when paragraph becomes shorter
Closed, ResolvedPublic

Description

Content translation keeps paragraphs from the original article and the translation visually aligned. When translation paragraphs become larger, content is pushed down to keep the visual alignment. However if the translation becomes shorter again, the gap remains as illustrated below:

The issue happens when the text is modified by typing but also when using the "Reset translation" option if the initial translation was expanded. The gap remains there even if other sections are added and edited.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterFix: Paragraph alignment not working when paragraph becomes shorter

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 9 2019, 2:04 PM

This is same as one of the problems pointed out in T216412. Actions taken to reproduce misalignment are different, but outcome looks identical.

Pginer-WMF triaged this task as Medium priority.May 10 2019, 9:10 AM

Change 510073 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Fix: Paragraph alignment not working when paragraph becomes shorter

https://gerrit.wikimedia.org/r/510073

Change 510073 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Fix: Paragraph alignment not working when paragraph becomes shorter

https://gerrit.wikimedia.org/r/510073

Pginer-WMF closed this task as Resolved.May 21 2019, 10:40 AM